<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_80"
        android:layout_marginStart="@dimen/dp_15"
        android:layout_marginEnd="@dimen/dp_15">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:text="就餐人數"
            android:textColor="@color/theme_black"
            android:textSize="@dimen/dp_18" />

        <com.rengwuxian.materialedittext.MaterialEditText
            android:id="@+id/ed_value"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginLeft="@dimen/dp_15"
            android:layout_marginRight="@dimen/dp_15"
            android:layout_toRightOf="@+id/tv_title"
            android:background="@drawable/table_shape_input_table_number_frame"
            android:ems="10"
            android:enabled="false"
            android:gravity="right|center_vertical"
            android:hint="請輸入人數"
            android:inputType="numberDecimal"
            android:singleLine="true"
            android:textColor="@color/table_input_table_keypad"
            android:textColorHint="@color/theme_hint_color"
            android:textSize="@dimen/dp_22"
            android:textStyle="bold"
            app:met_baseColor="@color/theme_black"
            app:met_clearButton="true"
            app:met_primaryColor="@color/theme_color"
            app:met_singleLineEllipsis="false" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="horizontal">

        <TableLayout
            android:id="@+id/LL_keys"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_toLeftOf="@+id/btn_cha"
            android:layout_weight="1"
            android:stretchColumns="*">

            <TableRow
                android:id="@+id/tableRow1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_7"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="7"
                    android:text="@string/Key_7"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_8"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="8"
                    android:text="@string/Key_8"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_9"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="9"
                    android:text="@string/Key_9"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />
            </TableRow>

            <TableRow
                android:id="@+id/tableRow2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_4"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="4"
                    android:text="@string/Key_4"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_5"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="5"
                    android:text="@string/Key_5"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_6"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="6"
                    android:text="@string/Key_6"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />
            </TableRow>

            <TableRow
                android:id="@+id/tableRow3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1">

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_1"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="1"
                    android:text="@string/Key_1"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_2"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="2"
                    android:text="@string/Key_2"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_3"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="3"
                    android:text="@string/Key_3"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />
            </TableRow>

            <TableRow
                android:id="@+id/tableRow4"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="0.2"
                android:background="#FFDDEDFE">

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_clear"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="58"
                    android:text="清除"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_25" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_0"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:tag="0"
                    android:text="@string/Key_0"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />

                <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                    android:id="@+id/btn_add10"
                    android:layout_width="1dip"
                    android:layout_height="fill_parent"
                    android:layout_marginTop="1dp"
                    android:layout_marginRight="2dp"
                    android:layout_weight="1"
                    android:focusable="true"
                    android:gravity="center"
                    android:layerType="software"
                    android:longClickable="true"
                    android:tag="99"
                    android:text="+10"
                    android:textColor="@color/table_input_table_keypad"
                    android:textSize="@dimen/dp_30" />
            </TableRow>
        </TableLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_delete"
                android:layout_width="@dimen/dp_100"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="#DCEDFF"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:tag="98"
                android:text="×"
                android:textColor="#1196DB"
                android:textSize="@dimen/dp_35" />

            <com.qmuiteam.qmui.alpha.QMUIAlphaTextView
                android:id="@+id/btn_sure"
                android:layout_width="@dimen/dp_100"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:background="#1196DB"
                android:focusable="true"
                android:gravity="center"
                android:layerType="software"
                android:tag="97"
                android:text="@string/Key_right"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/dp_35" />
        </LinearLayout>
    </LinearLayout>
</merge>